BEGIN tadream

IF ~NumTimesTalkedTo(0)~ THEN BEGIN 0
  SAY ~Mmmmnnnghhhhh...~ =
  ~...cannot die...~ =
  ~...unable...depart...~ =
  ~...resurrect...~ =
  ~...scroll...~ =
  ~...unngghhhhhh...~
  IF ~~ THEN EXIT
END

IF ~!NumTimesTalkedTo(0)
    !PartyHasItem("scrl63")
    Global("TADreamResurrected","GLOBAL",0)~ THEN BEGIN 1
  SAY ~Mmmmnnnghhhhh...~
  IF ~~ THEN EXIT
END

IF ~!NumTimesTalkedTo(0)
    PartyHasItem("scrl63")
    Global("TADreamResurrected","GLOBAL",0)~ THEN BEGIN 2
  SAY ~Mmmmnnnghhhhh...~
  IF ~~ THEN REPLY ~(use the scroll)~ DO ~TakePartyItem("scrl63")
    SetGlobal("TADreamResurrected","GLOBAL",1)~ EXIT
  IF ~~ THEN REPLY ~(do nothing)~ EXIT
END

